#include<bits/stdc++.h>

using namespace std;

using ll = long long;


int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    ll n, k;
    cin >> n >> k;
    vector<ll> a(n);
    for (ll i = 0; i < n; ++i) {
        cin >> a[i];
    }
    ll ans = 0;
    ll max_sum = 0;
    for (int i = 0; i < k; ++i) {
        max_sum += a[i];
    }
    ans = max_sum + k;
    for (int i = k; i < n; ++i) {
        vector<ll> pref;
        for (int j = 0; j < i; ++j) {
            pref.push_back(a[j]);
        }
        sort(pref.rbegin(), pref.rend());
        max_sum = 0;
        for (int j = 0; j < k - 1; ++j)
            max_sum += pref[j];
        ans = max(ans, max_sum + a[i] + i + 1);
    }
    cout << ans;
//    multiset<int> st;
//    for (int i = 0; i < k - 1; ++i) {
//        max_sum += a[i];
//        st.insert(a[i]);
//    }
//    ans = max_sum + a[k - 1] + k;
//    for (int i = k - 1; i < n; ++i) {
//        if ()
//    }
//    ll ans = 0;
//    ll mx = a[0];
//    for (int j = 1; j < n; ++j) {
//        ans = max(ans, mx + a[j] + j + 1);
//        mx = max(mx, a[j]);
//    }
//    cout << ans;
}

